
#ifdef	FMRESC
#define	GETCH()		getch()
#define	INKEY()		getch()
#define	PUTC(c)		putchar(c)
#define	LOCATE(x,y)	printf("\033[%d;%dH", (y) + 1, (x) + 1)
#define	ERALINE()	fputs("\033[0K", stdout)
#define	CLS()		
#define	REVCOL()	fputs("\033[7m", stdout)
#define	STDCOL()	fputs("\033[0m", stdout)
#define	CUROFF()	fputs("\033[1v", stdout)
#define	CURON()		fputs("\033[0v", stdout)
#define	FLUSH()		fflush(stdout);
#define	REFRESH()
#define	BOLD_ON()	fputs("\033[32m", stdout)
#define	BOLD_OFF()	fputs("\033[37m", stdout)
#define	ITALIC_ON()	fputs("\033[36m", stdout)
#define	ITALIC_OFF()	fputs("\033[37m", stdout)
#define	FORSCROOL()	fputs("\x0B\033R", stdout)
#define	BACKSCROOL()	fputs("\x0B\033E", stdout)
#endif

#ifdef	ANSIESC
#define	GETCH()		getch()
#define	INKEY()		getch()
#define	PUTC(c)		putchar(c)
#define	LOCATE(x,y)	printf("\033[%d;%dH", (y) + 1, (x) + 1)
#define	ERALINE()	fputs("\033[0K", stdout)
#define	CLS()		
#define	REVCOL()	fputs("\033[7m", stdout)
#define	STDCOL()	fputs("\033[0m", stdout)
#define	CUROFF()	
#define	CURON()		
#define	FLUSH()		fflush(stdout);
#define	REFRESH()
#define	BOLD_ON()	fputs("\033[32m", stdout)
#define	BOLD_OFF()	fputs("\033[37m", stdout)
#define	ITALIC_ON()	fputs("\033[36m", stdout)
#define	ITALIC_OFF()	fputs("\033[37m", stdout)
#define	FORSCROOL()	fputs("\033[1;1H\033[1M", stdout)
#define	BACKSCROOL()	fputs("\033[1;1H\033[1L", stdout)
#endif

#ifdef	CURSES
#define	GETCH()		getch()
#define	INKEY()		getchar()
#define	PUTC(c)		addch(c)
#define	LOCATE(x,y)	move(y,x)
#define	ERALINE()	clrtoeol()
#define	CLS()		erase()
#define	REVCOL()	standout()
#define	STDCOL()	standend()
#define	CUROFF()	
#define	CURON()		
#define	FLUSH()		refresh()
#define	REFRESH()	wrefresh(curscr)
#define	BOLD_ON()
#define	BOLD_OFF()
#define	ITALIC_ON()
#define	ITALIC_OFF()
#define	FORSCROOL()	scroll(stdscr)
#define	BACKSCROOL()	move(0,0),insertln()
#endif
